Bug 142735 - New port: sysutils/geomWatch -- Watches for and e-mails administrators about GEOM state changes
Summary: New port: sysutils/geomWatch -- Watches for and e-mails administrators about ...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Philip M. Gollucci
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-01-12 03:00 UTC by Boris Kochergin
Modified: 2010-01-14 04:30 UTC (History)
0 users

See Also:


Attachments
file.shar (3.93 KB, text/plain)
2010-01-12 03:00 UTC, Boris Kochergin
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Boris Kochergin 2010-01-12 03:00:17 UTC
geomWatch is a program for monitoring the well-being of GEOM providers. It
checks the state of each configured provider at a configured interval, and, if
it notices that a provider has lost a component, or encounters a problem while
checking a provider's state, it will send an e-mail with details of the
matter--such as what components were lost and which remain, or, in the event of
a problem, what the problem was--to an arbitrary number of recipients, so that
corrective action can be taken (for example, replacing a failed disk).

WWW: http://acm.poly.edu/wiki/GEOM_Watch

Fix: Patch attached with submission follows:
Comment 1 Philip M. Gollucci freebsd_committer 2010-01-13 01:12:50 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pgollucci

I'll take it.
Comment 2 dfilter service freebsd_committer 2010-01-14 04:26:54 UTC
pgollucci    2010-01-14 04:26:41 UTC

  FreeBSD ports repository

  Modified files:
    sysutils             Makefile 
  Added files:
    sysutils/geomWatch   Makefile distinfo pkg-descr 
    sysutils/geomWatch/files geomWatch.in pkg-message.in 
  Log:
  geomWatch is a program for monitoring the well-being of GEOM providers. It
  checks the state of each configured provider at a configured interval, and, if
  it notices that a provider has lost a component, or encounters a problem while
  checking a provider's state, it will send an e-mail with details of the
  matter--such as what components were lost and which remain, or, in the event of
  a problem, what the problem was--to an arbitrary number of recipients, so that
  corrective action can be taken (for example, replacing a failed disk).
  
  WWW: http://acm.poly.edu/wiki/GEOM_Watch
  
  -Boris Kochergin <spawk@acm.poly.edu>
  
  PR:             ports/142735
  Submitted by:   Boris Kochergin <spawk at acm.poly.edu>
  
  Revision  Changes    Path
  1.1157    +1 -0      ports/sysutils/Makefile
  1.1       +29 -0     ports/sysutils/geomWatch/Makefile (new)
  1.1       +3 -0      ports/sysutils/geomWatch/distinfo (new)
  1.1       +44 -0     ports/sysutils/geomWatch/files/geomWatch.in (new)
  1.1       +12 -0     ports/sysutils/geomWatch/files/pkg-message.in (new)
  1.1       +11 -0     ports/sysutils/geomWatch/pkg-descr (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Philip M. Gollucci freebsd_committer 2010-01-14 04:27:56 UTC
State Changed
From-To: open->closed

Committed. Thanks!